
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org PowerControl Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Device.PowerControl</h1><h2>Description</h2>
<p>This interface provides access to a power-controllable device.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Device.PowerControl</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetPower">GetPower</a></li>
<li><a href="#SetPower">SetPower</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#Power">Power</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetPower">GetPower</a> ( ) &rarr; b</h3>
<p><i>Description:</i> Get the power status. </p><h4>Returns</h4><i>b: on</i><p>True, if the device is powered on. False, otherwise. </p>
<h3><a name="SetPower">SetPower</a> ( b )</h3>
<p><i>Description:</i> Power the device on, or turn the device off. </p><h4>Parameters</h4><i>b: on</i><p>True, if the device should be turned on. False, otherwise. </p>
<h1>Signals</h1><h3><h3><a name="Power">Power</a> ( b )</h3><p><i>Description:</i> Sent, when the device has changed power status. </p><h4>Parameters</h4><i>b: on</i><p>True, if the device is now powered on. False, otherwise. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

